<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: Postprocessing</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="postprocessing">Postprocessing </a></h1><hr/>
<p><b>Sections:</b></p>
<ul>
<li><a class="el" href="postprocessing.html#png">PNG files</a></li>
<li><a class="el" href="postprocessing.html#sampling_line">Sampling Line</a></li>
<li><a class="el" href="postprocessing.html#log_analysis">Log File</a></li>
<li><a class="el" href="postprocessing.html#ucd_files">UCD/inp Files</a></li>
<li><a class="el" href="postprocessing.html#viztools">Visualization Tools</a><ul>
<li><a class="el" href="postprocessing.html#grace">Grace</a></li>
<li><a class="el" href="postprocessing.html#gnuplot">gnuplot</a></li>
<li><a class="el" href="postprocessing.html#paraview">ParaView</a></li>
<li><a class="el" href="postprocessing.html#mayavi">Mayavi</a></li>
<li><a class="el" href="postprocessing.html#opendx">OpenDX</a></li>
<li><a class="el" href="postprocessing.html#microavs">MicroAVS</a></li>
<li><a class="el" href="postprocessing.html#avs">AVS</a></li>
<li><a class="el" href="postprocessing.html#post_gid">GiD</a></li>
</ul>
</li>
</ul>
<hr/>
<p>In order to visualize the simulation results, which are stored in the <a class="el" href="output.html">Output Files of Simulations</a> , the data have to be converted into a suitable format for the <a class="el" href="postprocessing.html#viztools">Visualization Tools</a> mentioned below.</p>
<h2><a class="anchor" id="png">
PNG files</a></h2>
<p>The magnetization snapshots stored in PNG files <a class="el" href="output.html#project_png">project.INP.X.png</a> can be viewed with any picture viewer or web browser, which knows the PNG graphics format.</p>
<p>An animated gif can be created with the shell script "$MAGPAR_HOME/src/tools/shutil/mkanigif.sh". It requires the "convert" tool from the <a href="http://www.imagemagick.org/">ImageMagick</a> toolbox and <a href="http://linux.maruhn.com/sec/whirlgif.html">WhirlGIF</a>.</p>
<h2><a class="anchor" id="sampling_line">
Sampling Line</a></h2>
<p>The sampling line data consist of the definition of the measurement points <a class="el" href="output.html#project_datmsh">project.INP.datmsh</a> and the corresponding data files <a class="el" href="output.html#project_d">project.INP.d</a> . In order to get complete data files, the shell script "mkdat.sh" in $MAGPAR_HOME/src/tools/shutil/ can be used. It simply uses the standard Unix/Linux tool "paste" to combine the .datmsh and .d files into .dat files. These data can then be plotted with any 2D plotting tool. <a class="el" href="postprocessing.html#grace">Grace</a> has shown to be a simple yet useful free and open source tool.</p>
<p>The following command will convert all data files in one go: </p>
<div class="fragment"><pre class="fragment">
  mkdat.sh project.0001.datmsh *.d
</pre></div><h2><a class="anchor" id="log_analysis">
Log File</a></h2>
<p>The log file <a class="el" href="output.html#project_log">project.log</a> contains all data in a simple columnar format. These data can be analyzed with any 2D plotting tool. <a class="el" href="postprocessing.html#grace">Grace</a> is a free open-source 2D plotting tool for scientific data, which is easy to use, features a convenient GUI, yet is fully scriptable.</p>
<h2><a class="anchor" id="ucd_files">
UCD/inp Files</a></h2>
<p>The <a href="http://help.avs.com/Express/doc/help/reference/dvmac/UCD_Form.htm">UCD format</a> (e.g. <a class="el" href="output.html#project_fedat">project.INP.fedat</a> , <a class="el" href="output.html#project_femsh">project.INP.femsh</a> , <a class="el" href="output.html#project_gz">project.INP.gz</a>) usually require lots of disk space. Therefore, these files have been split and compressed to save disk space. The data of the finite element mesh are stored once in <a class="el" href="output.html#project_femsh">project.INP.femsh</a> at the beginning of the simulation. The simulation data (magnetization, magnetostatic potential, local fields) are stored in <a class="el" href="output.html#project_gz">project.INP.gz</a> and compressed using zlib (gzip format) (if this option has been compiled in). In order to get complete UCD files, the shell script "mkinp.sh" in $MAGPAR_HOME/src/tools/shutil/ can be used. It unzips the data files and combines them with the mesh data into complete UCD files. These can then be visualized using <a class="el" href="postprocessing.html#paraview">ParaView</a> , <a class="el" href="postprocessing.html#microavs">MicroAVS</a> or <a class="el" href="postprocessing.html#avs">AVS</a> , for example.</p>
<p>The following command will convert all data files in one go: </p>
<div class="fragment"><pre class="fragment">
  mkinp.sh project.0001.femsh *.gz
</pre></div><h2><a class="anchor" id="viztools">
Visualization Tools</a></h2>
<h3><a class="anchor" id="grace">
Grace</a></h3>
<p><a href="http://plasma-gate.weizmann.ac.il/Grace/">Grace</a> is a WYSIWYG 2D plotting tool, which runs on practically any version of Unix-like OS, as well as VMS, OS/2, and Win9x/NT/2000/XP.</p>
<h3><a class="anchor" id="gnuplot">
gnuplot</a></h3>
<p><a href="http://www.gnuplot.info/">gnuplot</a> is a command-line driven interactive data and function plotting utility for Linux, UNIX, MS Windows, and many other platforms. It supports 2D and 3D plots using lines, points, boxes, contours, vector fields, surfaces, etc. It is highly recommended to use version 4.2 or later which allows the specification of explicit <a href="http://www.gnuplot.info/docs/">RGB colors</a>.</p>
<p>Various gnuplot <a href="http://t16web.lanl.gov/Kawano/gnuplot/index-e.html">tutorials</a> can be found on the web.</p>
<h3><a class="anchor" id="paraview">
ParaView</a></h3>
<p><a href="http://www.paraview.org">ParaView</a> by <a href="http://www.kitware.com">Kitware Inc.</a> is an open-source, multi-platform 3D visualization application, which can directly read UCD files and visualize them in many different ways. It runs on Linux, Windows, Mac OS X, and other Unix-like platforms.</p>
<h3><a class="anchor" id="mayavi">
Mayavi</a></h3>
<p><a href="http://code.enthought.com/projects/mayavi/">Mayavi</a> by <a href="http://www.kitware.com">Kitware Inc.</a> is a general purpose, cross-platform tool for 3-D scientific data visualization. It features visualization of scalar, vector and tensor data in 2 and 3 dimensions, file import of <a class="el" href="postprocessing.html#ucd_files">UCD/inp Files</a> and vtu files, and easy scriptability using Python.</p>
<h3><a class="anchor" id="opendx">
OpenDX</a></h3>
<p><a href="http://www.opendx.org/">OpenDX</a> is an open source software project based on IBM's Visualization Data Explorer - a powerful 3D visualization package.</p>
<p>Some useful tools are provided in src/tools/opendx/:</p>
<p>inp2dx.pl is a Perl script, which converts AVS/inp files to OpenDX format. In addition, the visual program "vp_mumag.net" is provided for convenient visualization of scalar and vector data (e.g. magnetization and magnetic fields) as 2D and 3D contour plots, vector fields (hogs), rubber sheets, 2D plots, etc. This visual program has been developed with OpenDX version 4.3.2 - later OpenDX versions seem to have some issues with it.</p>
<h3><a class="anchor" id="microavs">
MicroAVS</a></h3>
<p><a href="http://www.kgt.co.jp/english/products/microavs/index.html">MicroAVS</a> by <a href="http://www.kgt.co.jp/index_e.html">Kubota Graphics Technologies</a> is a simplified version of AVS (see section <a class="el" href="postprocessing.html#avs">AVS</a> below) for Windows platforms. It can be used to visualize the UCD files generated by magpar.</p>
<h3><a class="anchor" id="avs">
AVS</a></h3>
<p><a href="http://www.avs.com/software/soft_t/avsxps.html">AVS/Express</a> by <a href="http://www.avs.com/">Advanced Visual Systems</a> is comprehensive and versatile data visualization tools, which can import files in <a href="http://help.avs.com/Express/doc/help/reference/dvmac/UCD_Form.htm">UCD format</a>.</p>
<h3><a class="anchor" id="post_gid">
GiD</a></h3>
<p><a href="http://www.gid-usa.com/">GiD</a> can also be used as a postprocessing tool for visualization. There is a C/C++/Fortran library to create postprocess files for GiD from the authors of GiD: <a href="http://www.gid-usa.com/support/gidpost.subst">GiDpost</a>. However, suitable output routines still need to be implemented. </p>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

